#!/bin/zsh
# Copyright 2011 Paul Haensch
# This file is part of Busy
#
# Busy is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Busy is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with Busy.  If not, see <http://www.gnu.org/licenses/>.

$ACL_WIKIEDIT || echo "Location: ?p=Error&i=noaccess\n\n"
$ACL_WIKIEDIT || exit 0

info="$(echo "$_GET[\"i\"]" |grep -Ex '[0-9]{10}_[0-9]{3}')"
[ -f "$_DATA/Wiki/$info.lock" ] && rm "$_DATA/Wiki/$info.lock"

cgi_post
page="$_POST[\"page\"]"
[ -n "$_POST[\"cancel\"]" ] && cancel=true

[ -z "$cancel" -a -f "$_DATA/Wiki/$info" ] && mv "$_DATA/Wiki/$info" "$_DATA/Wiki/$info.$(date +%s)"
[ -z "$cancel" ] && echo -e "${page}" >"$_DATA/Wiki/$info"

echo -n "Location: ?p=Wiki&i=$info\n\n"
